using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsRentalRate {

        //임대율 관리
        [Display(Name = "연도"), Key]
        [StringLength(5)]
        public string Date { get; set; }
        [Display(Name = "현장 고유번호"), Key]
        public int SiteId { get; set; }
        [Display(Name = "1월 임대율")]
        [StringLength(50)]
        public string m1 { get; set; }
        [Display(Name = "2월 임대율")]
        [StringLength(50)]
        public string m2 { get; set; }
        [Display(Name = "3월 임대율")]
        [StringLength(50)]
        public string m3 { get; set; }
        [Display(Name = "4월 임대율")]
        [StringLength(50)]
        public string m4 { get; set; }
        [Display(Name = "5월 임대율")]
        [StringLength(50)]
        public string m5 { get; set; }
        [Display(Name = "6월 임대율")]
        [StringLength(50)]
        public string m6 { get; set; }
        [Display(Name = "7월 임대율")]
        [StringLength(50)]
        public string m7 { get; set; }
        [Display(Name = "8월 임대율")]
        [StringLength(50)]
        public string m8 { get; set; }
        [Display(Name = "9월 임대율")]
        [StringLength(50)]
        public string m9 { get; set; }
        [Display(Name = "10월 임대율")]
        [StringLength(50)]
        public string m10 { get; set; }
        [Display(Name = "11월 임대율")]
        [StringLength(50)]
        public string m11 { get; set; }
        [Display(Name = "12월 임대율")]
        [StringLength(50)]
        public string m12 { get; set; }

        [ForeignKey("SiteId")]
        public virtual CmSite Site { get; set; }
    }
}
